# NOTE: Derived from blib/lib/Crypt/OpenSSL/RSA.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Crypt::OpenSSL::RSA;

#line 230 "blib/lib/Crypt/OpenSSL/RSA.pm (autosplit into blib/lib/auto/Crypt/OpenSSL/RSA/load_public_key.al)"
sub load_public_key
{
    my ($self, $p_key_string) = @_;
    if ($p_key_string =~ /^-----BEGIN RSA PUBLIC KEY-----/)
    {
        $self->_load_public_pkcs1_key($p_key_string);
    }
    elsif ($p_key_string =~ /^-----BEGIN PUBLIC KEY-----/)
    {
        $self->_load_public_x509_key($p_key_string);
    }
    else
    {
        croak "unrecognized key format";
    }
}

# end of Crypt::OpenSSL::RSA::load_public_key
1;
